Bug 521692 (CVE-2009-3076) - CVE-2009-3076 Firefox 3.0.14 Insufficient warning for PKCS11 module installation and removal
Summary: CVE-2009-3076 Firefox 3.0.14 Insufficient warning for PKCS11 module installat...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3076
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=mozilla,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 18:05 UTC by Josh Bressers
Modified: 2019-06-08 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-08 20:14:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1430 normal SHIPPED_LIVE Critical: firefox security update 2009-09-09 23:27:34 UTC
Red Hat Product Errata RHSA-2009:1431 normal SHIPPED_LIVE Critical: seamonkey security update 2009-09-09 23:49:52 UTC
Red Hat Product Errata RHSA-2009:1432 normal SHIPPED_LIVE Critical: seamonkey security update 2009-09-09 23:50:33 UTC
Red Hat Product Errata RHSA-2010:0153 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 12:38:49 UTC
Red Hat Product Errata RHSA-2010:0154 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 13:22:56 UTC

Description Josh Bressers 2009-09-07 18:05:07 UTC
Security researcher Dan Kaminsky reported that when security modules were
added or removed via pkcs11.addmodule or pkcs11.deletemodule, the resulting
dialog was not sufficiently informative. Without sufficient warning, an
attacker could entice a victim to install a malicious PKCS11 module and
affect the cryptographic integrity of the victim's browser.

Firefox 3.5 releases are not affected.

Comment 1 errata-xmlrpc 2009-09-09 23:28:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1430 https://rhn.redhat.com/errata/RHSA-2009-1430.html

Comment 2 errata-xmlrpc 2009-09-09 23:50:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1431 https://rhn.redhat.com/errata/RHSA-2009-1431.html

Comment 3 errata-xmlrpc 2009-09-09 23:50:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1432 https://rhn.redhat.com/errata/RHSA-2009-1432.html

Comment 4 Fedora Update System 2009-09-11 23:26:44 UTC
epiphany-extensions-2.24.3-5.fc10, epiphany-2.24.3-10.fc10, Miro-2.0.5-4.fc10, ruby-gnome2-0.19.1-2.fc10, blam-1.8.5-14.fc10, evolution-rss-0.1.4-3.fc10, gecko-sharp2-0.13-12.fc10, gnome-web-photo-0.3-22.fc10, gnome-python2-extras-2.19.1-34.fc10, kazehakase-0.5.6-4.fc10.6, mozvoikko-0.9.5-14.fc10, google-gadgets-0.10.5-10.fc10, pcmanx-gtk2-0.3.8-13.fc10, mugshot-1.2.2-13.fc10, yelp-2.24.0-13.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.5, firefox-3.0.14-1.fc10, xulrunner-1.9.0.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2010-03-17 12:39:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0153 https://rhn.redhat.com/errata/RHSA-2010-0153.html

Comment 6 errata-xmlrpc 2010-03-17 13:25:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0154 https://rhn.redhat.com/errata/RHSA-2010-0154.html


Note You need to log in before you can comment on or make changes to this bug.